/* ==========================
   Reset
========================== */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* ==========================
   Variables del tema
========================== */

:root {

    --background: #121212;
    --surface: #1E1E1E;

    --primary: #8B5CF6;
    --primary-hover: #7C3AED;

    --success: #22C55E;
    --warning: #F59E0B;
    --danger: #EF4444;

    --text: #FFFFFF;
    --text-secondary: #BDBDBD;

    --border-radius: 12px;

}

/* ==========================
   Base
========================== */

body {

    font-family: "Inter", sans-serif;

    background-color: var(--background);

    color: var(--text);

    min-height: 100vh;

}

/* ==========================
   Layout
========================== */

.container {

    width: 90%;

    max-width: 1000px;

    margin: 2rem auto;

}

/* ==========================
   Cards
========================== */

.card {

    background: var(--surface);

    border-radius: var(--border-radius);

    padding: 1rem;

    margin-bottom: 1rem;

}

/* ==========================
   Titles
========================== */

h1 {

    margin-bottom: .5rem;

}

h2 {

    margin-bottom: 1rem;

}